#!/bin/sh

#if [ -n "${MYORIGIN}" -a -n "${MYHOSTNAME}" ]; then
	echo -e "myorigin = ${MYORIGIN}\n \
	     	myhostname = ${MYHOSTNAME} \
	     	smtpd_tls_key_file = /certs/${MYHOSTNAME}.key \
	    	smtpd_tls_cert_file=/certs/${MYHOSTNAME}.crt" >> /etc/postfix/main_addendum.cf
#fi

#if [ -n "${DATABASE_USER}" -a -n "${DATBASE_PASSWORD}" -a -n "${DATABASE_NAME}" ]; then
	echo -e "user = ${DATABASE_USER}\n \
	     	password = ${DATABASE_PASSWORD}\n \
		hosts = db\n \
		dbname = ${DATABASE_NAME}\n \
		table = alias\n \
		select_field = goto\n \
		where_field = address" > /etc/postfix/virtual_alias_maps.cf;

	echo -e "user = ${DATABASE_USER}\n \
		password = ${DATABASE_PASSWORD}\n \
		hosts = db\n \
		dbname = ${DATABASE_NAME}\n \
		table = domain\n \
		select_field = domain\n \
		where_field = domain" > /etc/postfix/virtual_mailbox_domains.cf;

	echo -e "user = ${DATABASE_USER}\n \
		password = ${DATABASE_PASSWORD}\n \
		hosts = db\n \
		dbname = ${DATABASE_NAME}\n \
		table = mailbox\n \
		select_field = maildir\n \
		where_field = username" > /etc/postfix/virtual_mailbox_maps.cf;
#fi

postfix start-fg
